Execute User Operation
This endpoint queues to execution a user operation on the blockchain, like a swap quote or a transfer. The execution occurs asynchronously as it waits to be included in a block. You can check the status by using the returned hash in the history endpoint or with our webhooks.
Authorization
x-api-key In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/crypto/execute-user-op" \ -H "Content-Type: application/json" \ -d '{ "signature": "0xeecdd469465113db97d2d57949c581a080a4e7d7c528187ffc80e4f55ca68e083dcda2338666db182417608b971f5237c5807d67c7515e52f9ffe045e775ec791b" }'{ "userOperationHash": "0x2aac7a66d5331454eafc9b981be3596ad08a40dad24883e3b9c4a5362cd7f7e1", "userOpHash": "0x2aac7a66d5331454eafc9b981be3596ad08a40dad24883e3b9c4a5362cd7f7e1", "estimatedExecutionTime": "2026-04-12T14:49:12.762Z"}